Subject: Re: [PATCH net-next v3 03/11] net: ethernet: ti: cpts: move tc mult update in cpts_fifo_read()

From: Richard Cochran <[email-masked]>
Date: Thu, 26 Mar 2020 07:20:49 -0700

On Fri, Mar 20, 2020 at 09:42:36PM +0200, Grygorii Strashko wrote:
> Now CPTS driver .adjfreq() generates request to read CPTS current time
> (CPTS_EV_PUSH) with intention to process all pending event using previous
> frequency adjustment values before switching to the new ones. So
> CPTS_EV_PUSH works as a marker to switch to the new frequency adjustment
> values. Current code assumes that all job is done in .adjfreq(), but after
> enabling IRQ this will not be true any more.
> 
> Hence save new frequency adjustment values (mult) and perform actual freq
> adjustment in cpts_fifo_read() immediately after CPTS_EV_PUSH is received.

Now THIS comment is much better!  The explanation here really should
be in the previous patch, to help poor reviewers like me.

Thanks,
Richard